Bug 190113 - [patch] Add staging support to www/gallery3
[patch] Add staging support to www/gallery3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-22 16:10 UTC by joe
Modified: 2014-05-25 06:40 UTC (History)
0 users

See Also:


Attachments
file.diff (773 bytes, patch)
2014-05-22 16:10 UTC, joe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joe 2014-05-22 16:10:01 UTC
Adds staging support to www/gallery3.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-05-22 16:10:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-05-22 16:10:06 UTC
Maintainer of www/gallery3,

Please note that PR ports/190113 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/190113

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-05-22 16:10:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Bo-Yi Wu 2014-05-22 16:48:52 UTC
Please commit it.

Thanks.

--
About me: http://about.me/appleboy


On Thu, May 22, 2014 at 11:10 PM, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of www/gallery3,
>
> Please note that PR ports/190113 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/190113
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 5 dfilter freebsd_committer 2014-05-25 06:30:26 UTC
Author: miwi
Date: Sun May 25 05:30:22 2014
New Revision: 355127
URL: http://svnweb.freebsd.org/changeset/ports/355127
QAT: https://qat.redports.org/buildarchive/r355127/

Log:
  - Stage support
  
  PR:		190113
  Submitted by:	Joseph Benden <joe@thrallingpenguin.com>
  Approved by:	maintainer

Modified:
  head/www/gallery3/Makefile

Modified: head/www/gallery3/Makefile
==============================================================================
--- head/www/gallery3/Makefile	Sun May 25 05:29:24 2014	(r355126)
+++ head/www/gallery3/Makefile	Sun May 25 05:30:22 2014	(r355127)
@@ -25,7 +25,6 @@ OPTIONS_DEFINE=	DCRAW FFMPEG GD GRAPHMAG
 		NETPBM NLS UNZIP
 OPTIONS_DEFAULT=	IMAGEMAGICK JHEAD UNZIP
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if defined(GALLERY3DIR)
@@ -76,8 +75,8 @@ RUN_DEPENDS+=	unzip:${PORTSDIR}/archiver
 .endif
 
 do-install:
-	@cd ${WRKSRC}/ && ${COPYTREE_SHARE} . ${WWWDIR}/
-	@${CHOWN} -R ${WWWOWN}:${WWWGRP} ${WWWDIR}/
+	@cd ${WRKSRC}/ && ${COPYTREE_SHARE} . ${STAGEDIR}${WWWDIR}/
+	@${CHOWN} -R ${WWWOWN}:${WWWGRP} ${STAGEDIR}${WWWDIR}/
 	@${ECHO_CMD} '@exec ${CHOWN} -R ${WWWOWN}:${WWWGRP} ${WWWDIR}' >> ${TMPPLIST}
 
 .if !defined(BATCH)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2014-05-25 06:31:12 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!